Bug 23053 - Local-Number cannot be used for authority matching due to non-existence of 'phrase' index
Summary: Local-Number cannot be used for authority matching due to non-existence of 'p...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-05 13:53 UTC by Nick Clemens
Modified: 2019-06-19 19:21 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 23053: Add phrase index to authority Local-Number (2.47 KB, patch)
2019-06-05 14:01 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23053: Add phrase index to authority Local-Number (2.52 KB, patch)
2019-06-07 10:24 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 23053: Add phrase index to authority Local-Number (2.58 KB, patch)
2019-06-09 20:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23053: [follow-up] Same changes for UNIMARC (1.93 KB, patch)
2019-06-12 12:39 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-06-05 13:53:13 UTC
Bug 21581 ensured that we can pass authority indexes through to the authorities search for matching, however, when searching in Zebra we deault to using:
@attr 6=3

This seems to be equivalent to searching 'phrase' index for a field:
See section 2.4.5
https://software.indexdata.com/zebra/doc/querymodel-rpn.html

It seems Local-Number does not support phrase searching currently

To recreate:
1 - Define a matching rule for authorities on field 001 index Local-Number
2 - In koha-conf.xml raise the zebra_loglevels
     <zebra_loglevels>none,fatal,warn,request,info</zebra_loglevels>
3 - Export some authorities using the tools->export data
4 - Import those authorities
5 - Note no matches found
6 - View the zebra output log, you should see lots of error 114
Comment 1 Nick Clemens 2019-06-05 14:01:05 UTC
Created attachment 90336 [details] [review]
Bug 23053: Add phrase index to authority Local-Number

To test:
 1 - Define a matching rule for authorities on field 001 index Local-Number
 2 - In koha-conf.xml raise the zebra_loglevels
     <zebra_loglevels>none,fatal,warn,request,info</zebra_loglevels>
 3 - Export some authorities using the tools->export data
 4 - Import those authorities
 5 - Note no matches found
 6 - View the zebra output log, you should see lots of error 114
 7 - Apply patch
 8 - Copy the indexdefs files to the installed versions
 9 - Reapply matchign rules to staged files
10 - Matches should now be found
11 - Logs should not have errors
Comment 2 Claire Gravely 2019-06-07 10:24:59 UTC
Created attachment 90412 [details] [review]
Bug 23053: Add phrase index to authority Local-Number

To test:
 1 - Define a matching rule for authorities on field 001 index Local-Number
 2 - In koha-conf.xml raise the zebra_loglevels
     <zebra_loglevels>none,fatal,warn,request,info</zebra_loglevels>
 3 - Export some authorities using the tools->export data
 4 - Import those authorities
 5 - Note no matches found
 6 - View the zebra output log, you should see lots of error 114
 7 - Apply patch
 8 - Copy the indexdefs files to the installed versions
 9 - Reapply matchign rules to staged files
10 - Matches should now be found
11 - Logs should not have errors

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2019-06-09 20:15:55 UTC
Created attachment 90446 [details] [review]
Bug 23053: Add phrase index to authority Local-Number

To test:
 1 - Define a matching rule for authorities on field 001 index Local-Number
 2 - In koha-conf.xml raise the zebra_loglevels
     <zebra_loglevels>none,fatal,warn,request,info</zebra_loglevels>
 3 - Export some authorities using the tools->export data
 4 - Import those authorities
 5 - Note no matches found
 6 - View the zebra output log, you should see lots of error 114
 7 - Apply patch
 8 - Copy the indexdefs files to the installed versions
 9 - Reapply matchign rules to staged files
10 - Matches should now be found
11 - Logs should not have errors

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-06-11 07:38:03 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Martin Renvoize 2019-06-11 09:24:12 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-06-11 15:28:14 UTC
Should'nt it also be added to UNIMARC ?
Comment 7 Nick Clemens 2019-06-12 12:39:52 UTC
Created attachment 90530 [details] [review]
Bug 23053: [follow-up] Same changes for UNIMARC
Comment 8 Martin Renvoize 2019-06-13 13:38:27 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Martin Renvoize 2019-06-13 13:39:03 UTC
Followup pushed
Comment 10 Fridolin SOMERS 2019-06-17 07:32:49 UTC
Pushed to 19.05.x for 19.05.01
Comment 11 Lucas Gass 2019-06-19 19:21:15 UTC
backported to 18.11.x for 18.11.07